File wxWidgets-ansi.spec of Package wxWidgets-ansi.import4971

#
# spec file for package wxWidgets-ansi
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           wxWidgets-ansi
# Build flags are deduced from the package name and the repository environment:
#
# Flags deduced from the package name:
# If the Name tag contains "ansi", then compatibility ANSI version of wxString will be used.
# If the Name tag contains "wxcontainer", then old wx container API will be used instead of STL.
#
# Flags inherited from the environment:
# If the WX_DEBUG is set and equal to 1, then debug versions of
# libraries with lots of asserts will be built. Debug version is useful
# for debugging of wxWidgets use.
#
# Note: "ansi" implies "wxcontainer" (STL was introduced much later than Unicode support).
%define base_name wxWidgets
# Tarball name:
# In theory, you can save some space and use wxGTK here. But current
# wxGTK tarballs lack sources for mmedia library, so we have to use
# full wxWidgets tarball here.
%define tarball_name wxWidgets
# Ancient applications that expect wxString being equal to char* may still need ANSI version:
%define ENABLE_UNICODE %(echo %{name} | grep -q ansi ; echo $?)
# STL is recommended by developers but break some packages (bnc#530027) and ABI compatibility:
%define ENABLE_STL %(echo %{name} | grep -q wxcontainer ; echo $?)
%if ! %ENABLE_UNICODE
%define ENABLE_STL 0
%endif
BuildRequires:  SDL-devel cppunit-devel esound-devel gcc-c++ gnome-vfs2-devel gtk2-devel libexpat-devel
BuildRequires:  gconf2-devel gstreamer-0_10-devel gstreamer-0_10-plugins-base-devel
BuildRequires:  libgnomeprintui-devel libmspack-devel libtiff-devel
License:        GPLv2+
Group:          System/Libraries
Version:        2.8.11
Release:        3.<RELEASE7>
%define  wx_minor %(echo %{version} | sed 's/\.[0-9][0-9]*$//')
# libdir for installing of all the stuff
%if %ENABLE_STL
%define wxlibdir %{_libdir}/wx-%{wx_minor}-stl
%define wx_variant stl
%else
%define wxlibdir %{_libdir}/wx-%{wx_minor}-wxcontainer
%define wx_variant wxcontainer
%endif
%if %ENABLE_UNICODE
%define WXFLAGS u
%else
%define WXFLAGS %{nil}
%endif
# lang packages are exactly equal for all variants. Build it only once:
%if "%{name}" == "%{base_name}"
%define BUILD_LANG 1
%else
%define BUILD_LANG 0
%endif
Summary:        C++ Library for Cross-Platform Development
Source:         %{tarball_name}-%{version}.tar.bz2
Source1:        README.SUSE
Source2:        virtual-package.README
Source3:        wxWidgets-find-wx-provides
Source4:        wxWidgets-find-wx-requires
Source5:        rpmlintrc
# This script is not used during build, but it makes possible to
# identify and backport wxPython fixes to wxWidgets.
Source6:        wxpython-mkdiff.sh
Url:            http://www.wxwidgets.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         wxGTK-2.6.3.3-decl.patch
Patch1:         wxGTK-enable-wxrc.patch
# PATCH-FEATURE-OPENSUSE wxWidgets-config-force-rpath.patch sbrabec@suse.cz -- Force rpath use for installed libraries.
Patch2:         wxWidgets-config-force-rpath.patch
Patch3:         wxGTK-datarootdir.patch
# PATCH-FIX-UPSTREAM wxWidgets-bnc708402.patch bnc708402 wxWidgets12447 changeset65480 sbrabec@suse.cz -- Fix filezilla crash.
Patch4:         wxWidgets-bnc708402.patch
# We cannot use standard Requires/Provides, as we can have several instances of the library with the same soname.
%define _use_internal_dependency_generator 0

%description
wxWidgets is a free C++ library for cross-platform GUI.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif, MS Windows, MacOS X, Windows CE, GPE) from the same source code.

%package -n libwx_base%{WXFLAGS}-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+
# Name up to openSUSE 11.3 and up to wxGTK-2.8:
Obsoletes:      wxGTK <= %{version}.0
# Third party base package name:
Obsoletes:      wxWidgets < %{version}
# wxWidgets-lang requires wxWidgets. Provide them to fix dependencies:
Provides:       wxWidgets = %{version}
Requires:       %{base_name}-lang >= %{version}

%description -n libwx_base%{WXFLAGS}-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_base%{WXFLAGS}_net-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_base%{WXFLAGS}_net-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_base%{WXFLAGS}_xml-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_base%{WXFLAGS}_xml-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_adv-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_adv-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_aui-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_aui-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_core-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_core-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_gl-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_gl-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_html-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_html-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_media-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_media-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_plot-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_plot-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_qa-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_qa-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_richtext-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_richtext-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_stc-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_stc-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_svg-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_svg-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_xrc-2_8-0-%{wx_variant}


Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_xrc-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%if ! %ENABLE_STL

%package -n libwx_gtk2%{WXFLAGS}_fl-2_8-0-%{wx_variant}


# This deprecated library does not compile with STL.
Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_fl-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.

%package -n libwx_gtk2%{WXFLAGS}_ogl-2_8-0-%{wx_variant}


# This deprecated library does not compile with STL.
Summary:        wxWidgets Library
Group:          System/Libraries
License:        GPLv2+

%description -n libwx_gtk2%{WXFLAGS}_ogl-2_8-0-%{wx_variant}
Library for the wxWidgets cross-platform GUI.
%endif

%package plugin-sound_sdl%{WXFLAGS}-2_8-%{wx_variant}


Summary:        wxWidgets SDL Plugin
Group:          System/Libraries
License:        GPLv2+

%description plugin-sound_sdl%{WXFLAGS}-2_8-%{wx_variant}
SDL Plugin for the wxWidgets cross-platform GUI.

%package compat-lib-config
Summary:        wxWidgets Library Compatibility Configuration
Group:          System/Libraries
License:        GPLv2+
Provides:       %{base_name}-compat-lib-config = %{version}
Conflicts:      otherproviders(%{base_name}-compat-lib-config)

%description compat-lib-config
This package contains a ld.so configuration file that allows to link third party
binaries with one of available instances of the wxWidgets libraries.

%package -n libwx_base%{WXFLAGS}-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_base%{WXFLAGS}-2_8-0-%{wx_variant} = %{version}

%description -n libwx_base%{WXFLAGS}-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_base%{WXFLAGS}_net-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_base%{WXFLAGS}_net-2_8-0-%{wx_variant} = %{version}

%description -n libwx_base%{WXFLAGS}_net-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_base%{WXFLAGS}_xml-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_base%{WXFLAGS}_xml-2_8-0-%{wx_variant} = %{version}

%description -n libwx_base%{WXFLAGS}_xml-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_adv-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_adv-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_adv-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_aui-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_aui-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_aui-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_core-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_core-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_core-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_gl-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_gl-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_gl-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_html-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_html-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_html-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_media-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_media-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_media-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_plot-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_plot-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_plot-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_qa-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_qa-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_qa-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_richtext-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_richtext-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_richtext-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_stc-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_stc-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_stc-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_svg-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_svg-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_svg-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_xrc-2_8-0-compat-lib-%{wx_variant}


Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_xrc-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_xrc-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%if ! %ENABLE_STL

%package -n libwx_gtk2%{WXFLAGS}_fl-2_8-0-compat-lib-%{wx_variant}


# This deprecated library does not compile with STL.
Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_fl-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_fl-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.

%package -n libwx_gtk2%{WXFLAGS}_ogl-2_8-0-compat-lib-%{wx_variant}


# This deprecated library does not compile with STL.
Summary:        wxWidgets Library Compatibility Virtual Package
Group:          System/Libraries
License:        GPLv2+
Requires:       %{name}-compat-lib-config = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_ogl-2_8-0-%{wx_variant} = %{version}

%description -n libwx_gtk2%{WXFLAGS}_ogl-2_8-0-compat-lib-%{wx_variant}
This virtual package contains symbols that allows to install third party
packages using wxWidgets libraries.
%endif

%package devel
License:        GPLv2+
Summary:        Everything needed for development with wxWidgets
Group:          Development/Libraries/GNOME
Requires:       libwx_base%{WXFLAGS}-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_base%{WXFLAGS}_net-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_base%{WXFLAGS}_xml-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_adv-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_aui-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_core-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_gl-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_html-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_media-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_plot-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_qa-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_richtext-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_stc-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_svg-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_xrc-2_8-0-%{wx_variant} = %{version}
%if ! %ENABLE_STL
Requires:       libwx_gtk2%{WXFLAGS}_fl-2_8-0-%{wx_variant} = %{version}
Requires:       libwx_gtk2%{WXFLAGS}_ogl-2_8-0-%{wx_variant} = %{version}
%endif
Requires:       gtk2-devel Mesa-devel
Provides:       wxWidgets-devel = %{version}
Conflicts:      otherproviders(wxWidgets-devel)
# Name up to openSUSE 11.3 and up to wxGTK-2.8.x:
Provides:       wxGTK-devel = %{version}.0
Obsoletes:      wxGTK-devel <= %{version}.0

%description devel
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif, MS Windows, MacOS X, Windows CE, GPE) from the same source code.

This package contains all files needed for developing with wxGTK.

%if %BUILD_LANG
%lang_package -n %{base_name}
%endif

%prep
echo "=== RPM build flags: WX_DEBUG=0%{?WX_DEBUG}, ENABLE_UNICODE=%{ENABLE_UNICODE}, ENABLE_STL=%{ENABLE_STL}, WXFLAGS=%{WXFLAGS}, libdir=%{wxlibdir}, wx_variant=%{wx_variant}"
%setup -q -n %{tarball_name}-%{version}
%patch0
%patch1
%if "%{_libdir}" != "%{wxlibdir}"
# Apply this patch only if we are building outside libdir.
%patch2
%endif
%patch3
%patch4 -p4
cp %{S:1} %{S:2} .
cp %{S:3} find-wx-provides
cp %{S:4} find-wx-requires
chmod +x find-wx-provides find-wx-requires
%if %ENABLE_STL
# Remove sources of deprecated libraries that don't compile with STL.
# The build failure would be ignored but the package will be rejected by
# QA checks due to errors in these directories.
rm contrib/src/{fl,ogl}/*.cpp
%endif

%build
%{suse_update_config -f}
autoconf
# NOTE: gnome-vfs and gnomeprintui are deprecated. Disable it in future!
#
# STL and wx container versions of wxWidgets are binary incompatible,
# but they have equal names.  Starting with version 2.9.x, we are
# moving to STL by default. Libraries with support of the old wx
# containers will be packaged to a different libdir.
#
# We will enable 2.6.x compatibility together with disabling STL to
# decrease problems with old code.
#
# With 2.8.11:
# Work-around sound_sdl plugin PIC compilation error.
export CFLAGS="$RPM_OPT_FLAGS -DPIC -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -DPIC -fPIC"
%if "%{_libdir}" != "%{wxlibdir}"
# One sub-library must be able to find another sub-library during the runtime.
export LDFLAGS="$LDFLAGS -Wl,-rpath,%{wxlibdir}"
%endif
# --enable-dataviewctrl does not compile
# --enable-prologio and --enable-resources: wxExpr and old-style resources are available in contrib only
# --enable-compat26 seems to disable 2.6 compatibility
# --disable-precomp-headers works only in 11.3 and newer
%configure\
	--libdir=%{wxlibdir}\
 	--disable-static\
%if %ENABLE_UNICODE
	--enable-unicode\
%else
	--disable-unicode\
%endif
	--with-opengl\
	--with-libmspack\
	--with-sdl\
	--with-gnomevfs\
	--enable-graphics_ctx\
	--enable-controls\
	--enable-iff\
	--enable-mediactrl\
	--enable-tabdialog\
	--enable-optimise\
%if 0%{?WX_DEBUG}
	--enable-debug\
%else
	--disable-debug\
%endif
%if %ENABLE_STL
	--enable-stl\
%else
	--disable-stl\
%endif
%if %suse_version < 1130
	--disable-precomp-headers\
%endif
	--enable-plugins
make %{?jobs:-j%jobs}
make %{?jobs:-j%jobs} -C contrib
%if %BUILD_LANG
cd locale
make allmo
cd ..
%endif

%install
%makeinstall
%makeinstall -C contrib

# Generate lang package only once for the main variant and recycle it everywhere.
%if %BUILD_LANG
# Locales for MS Windows:
rm -r $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/wxmsw.mo
%find_lang wxstd
%else
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale
%endif

# Create synthetic .la files to work-around libtool inability to link
# third level libraries built on top of wxWidgets (bnc#690952).
cd $RPM_BUILD_ROOT%{wxlibdir}
for LIB in *.so ; do
	LIBNAME=${LIB%.so}
	LC_ALL=C
	LIBNAMES=($LIB*)
	unset LC_ALL
	cat >$LIBNAME.la <<EOF
# $LIBNAME.la - a libtool library file
# Generated by %{name}.spec (for GNU libtool)
#

# The name that we can dlopen(3).
dlname='${LIBNAMES[1]}'

# Names of this library.
library_names='$(for ((i=${#LIBNAMES[@]}-1;i>=0;i--)); do echo ${LIBNAMES[i]} ; done | tr \\n \  | sed s/\ $// )'

# The name of the static archive.
old_library=''

# Linker flags that can not go in dependency_libs.
inherited_linker_flags=' -pthread'

# Libraries that this one depends upon.
dependency_libs=''

# Names of additional weak libraries provided by this library
weak_library_names=''

# Version information for $LIBNAME.
current=8
age=0
revision=8

# Is this an already installed library?
installed=yes

# Should we warn about portability when linking against -modules?
shouldnotlink=no

# Files to dlopen/dlpreopen
dlopen=''
dlpreopen=''

# Directory that this library needs to be installed in:
libdir='%{wxlibdir}'
EOF
done
cd -

# Create ld.so.conf.d file that provides binary compatibility with third party binaries.
%if "%{_libdir}" != "%{wxlibdir}"
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
cat <<EOF >$RPM_BUILD_ROOT/etc/ld.so.conf.d/%{base_name}.conf
# Third party packages should search this directory for wxWidgets libraries.
#
# Don't modify this file, replace the wxWidgets-compat-lib package
# with another package instance instead.
#
%{wxlibdir}
EOF
%endif

# Create files that allow to create ABI-safe packages.
mkdir -p $RPM_BUILD_ROOT/etc/rpm
cat <<EOF >$RPM_BUILD_ROOT/etc/rpm/macros.wxWidgets
# This file is part of each wxWidgets-devel package instance and
# identifies the wxWidgets the variant the package is built with.
#
# Don't modify this file, replace the wxWidgets-devel package with
# another package instance instead.
#
# Please add following lines to all wxWidgets based package spec file
# preamble:
#
# %%define _use_internal_dependency_generator 0
# %%define __find_requires %%wx_requires
#
# and use this line if you build wxWidgets variant-specific libraries or
# modules
#
# %%define __find_provides %%wx_provides
#
%%wx_provides %{wxlibdir}/wx/rpm/find-wx-provides
%%wx_requires %{wxlibdir}/wx/rpm/find-wx-requires "%%{buildroot}"
EOF
mkdir -p $RPM_BUILD_ROOT%{wxlibdir}/wx/rpm
install find-wx-provides find-wx-requires $RPM_BUILD_ROOT%{wxlibdir}/wx/rpm/

# Modify provides/requires to prevent identical provides for different libraries.
%define build_wx_provides %{_builddir}/%{?buildsubdir}/build-wx-provides
%define build_find_wx_provides %{_builddir}/%{?buildsubdir}/find-wx-provides
%define build_wx_requires %{_builddir}/%{?buildsubdir}/find-wx-requires

# We need a very special version of %%wx_provides here.
# This version creates provides for compat-lib packages.
echo 0 >wx-libno
cat << EOF > %{build_wx_provides}
#! /bin/sh
# convert libfoo()() to libfoo(variant)()() and create virtual symbols.
wx_libno=\$(<$PWD/wx-libno)
# Trick: Package name is not passed to the script. Hopefully,
# processing order follows spec package order.
# Another possible solution: Deduce package name from the %%doc path.
wx_lib=(\
 libwx_base%{WXFLAGS}\
 libwx_base%{WXFLAGS}_net\
 libwx_base%{WXFLAGS}_xml\
 libwx_gtk2%{WXFLAGS}_adv\
 libwx_gtk2%{WXFLAGS}_aui\
 libwx_gtk2%{WXFLAGS}_core\
 libwx_gtk2%{WXFLAGS}_gizmos\
 libwx_gtk2%{WXFLAGS}_gizmos_xrc\
 libwx_gtk2%{WXFLAGS}_gl\
 libwx_gtk2%{WXFLAGS}_html\
 libwx_gtk2%{WXFLAGS}_media\
 libwx_gtk2%{WXFLAGS}_mmedia\
 libwx_gtk2%{WXFLAGS}_plot\
 libwx_gtk2%{WXFLAGS}_qa\
 libwx_gtk2%{WXFLAGS}_richtext\
 libwx_gtk2%{WXFLAGS}_stc\
 libwx_gtk2%{WXFLAGS}_svg\
 libwx_gtk2%{WXFLAGS}_xrc\
%if ! %ENABLE_STL
 libwx_gtk2%{WXFLAGS}_fl\
 libwx_gtk2%{WXFLAGS}_ogl\
%endif
)

while read ; do
	case "\$REPLY" in
		*virtual-package.README )
			echo "\$REPLY"
			libname=\${wx_lib[\$wx_libno]}
			let wx_libno++
			echo \$wx_libno >$PWD/wx-libno
			ls -1 \${REPLY%%%{_docdir}/*/virtual-package.README}/%{wxlibdir}/* |
				grep -F \${libname}- |
				/usr/lib/rpm/find-provides
			;;
		*%{_docdir}* )
			echo "\$REPLY" | %{build_find_wx_provides}
			;;
		* )
			( echo "\$REPLY" ; cat ) | %{build_find_wx_provides}
			;;
	esac
done
EOF

chmod 755 %{build_wx_provides}
%define __find_provides %{build_wx_provides}
%define __find_requires %{build_wx_requires} "%{buildroot}"

%clean
rm -rf $RPM_BUILD_ROOT

%post compat-lib-config -p /sbin/ldconfig

%postun compat-lib-config -p /sbin/ldconfig

%triggerin compat-lib-config -- libwx_base%{WXFLAGS}-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_base%{WXFLAGS}-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_base%{WXFLAGS}_net-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_base%{WXFLAGS}_net-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_base%{WXFLAGS}_xml-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_base%{WXFLAGS}_xml-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_adv-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_adv-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_aui-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_aui-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_core-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_core-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_gl-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_gl-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_html-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_html-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_media-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_media-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_plot-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_plot-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_qa-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_qa-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_richtext-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_richtext-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_stc-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_stc-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_svg-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_svg-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_xrc-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_xrc-2_8-0-%{wx_variant}
%if ! %ENABLE_STL
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_fl-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_fl-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerin compat-lib-config -- libwx_gtk2%{WXFLAGS}_ogl-2_8-0-%{wx_variant}
/sbin/ldconfig

%triggerpostun compat-lib-config -- libwx_gtk2%{WXFLAGS}_ogl-2_8-0-%{wx_variant}
/sbin/ldconfig
%endif
%if "%{_libdir}" == "%{wxlibdir}"

%post -n libwx_base%{WXFLAGS}-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_base%{WXFLAGS}-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_base%{WXFLAGS}_net-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_base%{WXFLAGS}_net-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_base%{WXFLAGS}_xml-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_base%{WXFLAGS}_xml-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_adv-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_adv-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_aui-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_aui-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_core-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_core-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_gl-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_gl-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_html-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_html-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_media-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_media-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_plot-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_plot-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_qa-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_qa-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_richtext-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_richtext-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_stc-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_stc-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_svg-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_svg-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_xrc-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_xrc-2_8-0-%{wx_variant} -p /sbin/ldconfig
%if ! %ENABLE_STL

%post -n libwx_gtk2%{WXFLAGS}_fl-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_fl-2_8-0-%{wx_variant} -p /sbin/ldconfig

%post -n libwx_gtk2%{WXFLAGS}_ogl-2_8-0-%{wx_variant} -p /sbin/ldconfig

%postun -n libwx_gtk2%{WXFLAGS}_ogl-2_8-0-%{wx_variant} -p /sbin/ldconfig
%endif
%endif

%if %BUILD_LANG

%files lang -f wxstd.lang
%endif

%files -n libwx_base%{WXFLAGS}-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_base%{WXFLAGS}-2.8.so.0*
%if "%{_libdir}" != "%{wxlibdir}"
%dir %{wxlibdir}
%endif
%dir %{wxlibdir}/wx
%dir %{wxlibdir}/wx/%{wx_minor}

%files -n libwx_base%{WXFLAGS}_net-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_base%{WXFLAGS}_net-2.8.so.0*

%files -n libwx_base%{WXFLAGS}_xml-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_base%{WXFLAGS}_xml-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_adv-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_adv-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_aui-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_aui-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_core-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_core-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_gizmos-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_gizmos_xrc-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_gl-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_gl-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_html-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_html-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_media-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_media-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_mmedia-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_plot-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_plot-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_qa-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_qa-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_richtext-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_richtext-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_stc-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_stc-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_svg-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_svg-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_xrc-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_xrc-2.8.so.0*

%if ! %ENABLE_STL

%files -n libwx_gtk2%{WXFLAGS}_fl-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_fl-2.8.so.0*

%files -n libwx_gtk2%{WXFLAGS}_ogl-2_8-0-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/libwx_gtk2%{WXFLAGS}_ogl-2.8.so.0*
%endif

%files plugin-sound_sdl%{WXFLAGS}-2_8-%{wx_variant}
%defattr (-,root,root)
%{wxlibdir}/wx/%{wx_minor}/sound_sdl%{WXFLAGS}-%{wx_minor}.so

%files compat-lib-config
%defattr (-,root,root)
/etc/ld.so.conf.d/%{base_name}.conf

%files -n libwx_base%{WXFLAGS}-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_base%{WXFLAGS}_net-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_base%{WXFLAGS}_xml-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_adv-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_aui-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_core-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_gizmos-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_gizmos_xrc-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_gl-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_html-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_media-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_mmedia-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_plot-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_qa-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_richtext-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_stc-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_svg-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_xrc-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%if ! %ENABLE_STL

%files -n libwx_gtk2%{WXFLAGS}_fl-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README

%files -n libwx_gtk2%{WXFLAGS}_ogl-2_8-0-compat-lib-%{wx_variant}
%defattr (-,root,root)
%doc virtual-package.README
%endif

%files devel
%defattr (-,root,root)
# Complete documentation is available in the docs packages.
%doc docs/*.txt README.SUSE
%{_bindir}/wxrc
%{_bindir}/wxrc-%{wx_minor}
%{_bindir}/*-config*
%{_datadir}/aclocal/*.m4
%{_datadir}/bakefile
%{_includedir}/wx-%{wx_minor}
%{wxlibdir}/*.so
%{wxlibdir}/*.la
%{wxlibdir}/wx/config
%{wxlibdir}/wx/include
%{wxlibdir}/wx/rpm
/etc/rpm/macros.wxWidgets

%changelog